Bug 588427 - Review Request: rubygem-Antwrap - A Ruby module that wraps the Apache Ant build tool.
Summary: Review Request: rubygem-Antwrap - A Ruby module that wraps the Apache Ant b...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-DEADREVIEW buildr
TreeView+ depends on / blocked
 
Reported: 2010-05-03 17:36 UTC by Adam Young
Modified: 2010-12-26 20:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-26 20:30:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Young 2010-05-03 17:36:08 UTC
Spec URL: http://github.com/admiyo/MySpecs/blob/master/rubygem-Antwrap.spec
SRPM URL: <srpm info here>
Description: Buildr dependency
Addressable is a replacement for the URI implementation that is part of Ruby's standard library. It more closely conforms to the relevant RFCs and adds support for IRIs and URI templates.

Comment 1 Adam Young 2010-05-03 17:38:46 UTC
Sorry about the typo.  The description should read:

A Ruby module that wraps the Apache Ant build tool. Antwrap can be used to invoke Ant Tasks from a Ruby or a JRuby script.

The SRPM is at 
http://admiyo.fedorapeople.org/buildr-repo/rubygem-Antwrap-0.7.0-1.young.src.rpm

Comment 2 Adam Young 2010-05-11 13:54:14 UTC
http://github.com/admiyo/MySpecs/blob/0853a1a6cca4de516a4aa515a8b73d4be184cc0a/rubygem-Antwrap.spec

Updated IAW guidance for Ruby Gems:  ABI, define->global, removed duplicate files.

Comment 4 Michael Stahnke 2010-08-30 03:06:43 UTC
rpmlint rubygem-Antwrap-0.7.0-2.fc15.src.rpm 
rubygem-Antwrap.src: E: summary-too-long C A Ruby module that wraps the Apache Ant build tool. Antwrap can be used to invoke Ant Tasks from a Ruby or a JRuby script
rubygem-Antwrap.src:29: W: mixed-use-of-spaces-and-tabs (spaces: line 29, tab: line 29)
1 packages and 0 specfiles checked; 1 errors, 1 warnings.


Can you double-check the license?  The website says LGPL.

Description is very long.  Appears to be malformatted rdoc items. 

No need for the /usr/share/doc creation and file movement. 

ruby_sitelib macro not used. Remove it.

create a %check please.  You will need rjb in the BR(check) for that.

Comment 5 Jason Tibbitts 2010-11-18 13:57:12 UTC
There has been no response to the above commentary.

Comment 6 Jesus M. Rodriguez 2010-11-18 15:00:20 UTC
I'll be taking this over as it is needed for buildr (our main goal). There has been some patches to this that need to get added. I'll post an updated spec and srpm.


Note You need to log in before you can comment on or make changes to this bug.